<template>
  <div>
    <div class="clearfix container">
      <b-img left v-bind:src="mov.img" width="150" height="170"></b-img>
      <b-card>
        <div>
          <b-card-sub-title>
            Fecha de la función:
            <br />
            {{mov.date}}
          </b-card-sub-title>
        </div>
        <div>
          <div>
            <b-form-select v-model="cant" :options="options"></b-form-select>
            <div class="mt-3">

            </div>
          </div>
        </div>
        <span>Precio del voleto $50</span>
        <b-button v-b-toggle.collapse-1 variant="dark">Pagar</b-button>
      </b-card>
    </div>
    <div>
      <b-button v-b-toggle.collapse-3 class="m-1">Sinopsis</b-button>
      <b-collapse id="collapse-3">
        <b-card>
          <b-card-sub-title>Casting: {{mov.cast}}</b-card-sub-title>
          <br />
          <b-card-sub-title>Duración: {{mov.duration}}</b-card-sub-title>
          <br />
          {{mov.synopsis}}
        </b-card>
      </b-collapse>
    </div>

    <b-collapse id="collapse-1" class="mt-2">
      <b-card no-body>
        <b-tabs card>

          <b-tab no-body title="Resumen de pago">
            Película: {{mov.name}}
            <br />
            Cantidad de entradas: {{cant}}
            <div ref="paypal"  style="font-size: 12px">
            </div>
          </b-tab>
        </b-tabs>
      </b-card>
    </b-collapse>
  </div>
</template>

<script src="https://cdn.jsdelivr.net/vue.resource/1.3.1/vue-resource.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/vue"></script>
<script src = "https://unpkg.com/axios/dist/axios.min.js"> </script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/emailjs-com@2.4.1/dist/email.min.js"></script>
<script>
export default {
  data() {
    return {
      cant: 1,
      options: [
        { value: null, text: "Cantidad de entradas" },
        { value: "1", text: "1 persona" },
        { value: "2", text: "2 personas" },
        { value: "3", text: "3 personas" },
        { value: "4", text: "4 personas" }
      ],
      mov: this.$route.params.idMovie,
      anoTarjeta: 2020,
      mesTarjeta: new Date().getMonth() + 1
    };
  },
  mounted(){
    const script = document.createElement("script");
    script.src="https://www.paypal.com/sdk/js?client-id=AdBLyAtoIsHxplKWyiub5OrF_He7g_HrSvTgNmnGAwk9F-RuUAAbtK6w_O0y5j6E87pMCxb2SQCwlBV4";
    script.addEventListener("load", this.setLoaded);
    document.body.appendChild(script);
    this.getDatos();
  },
  methods:{
        setLoaded: function(){
      this.loades = true;
      var that = this;
      window.paypal.Buttons({
          createOrder: (data, actions) => {
            return actions.order.create({
              purchase_units: [
                {
                  amount:{
                    currency_code: "USD",
                    value: (this.cant * 50) *.05
                  }
                }
              ]
            })
          },
          onApprove: function() {
            alert('Ya compraste wey')
          }
        })
        .render(this.$refs.paypal) 
    },
  }
};
</script>

<style scoped>
.bottom-gradient {
  background-image: linear-gradient(
    to top,
    rgba(0, 0, 0, 0.4) 0%,
    transparent 72px
  );
}

.repeating-gradient {
  background-image: repeating-linear-gradient(
    -45deg,
    rgba(255, 0, 0, 0.25),
    rgba(255, 0, 0, 0.25) 5px,
    rgba(0, 0, 255, 0.25) 5px,
    rgba(0, 0, 255, 0.25) 10px
  );
}
</style>
